<?php
require_once($_SERVER['DOCUMENT_ROOT'].'/espace_personnel/inc/head-lib.php');
?>

	<style>
	.contentWrap .bg-dark a{color:#ccc}
	.contentWrap .bg-dark a:hover{text-decoration:underline;}
	</style>

	<div style="position:absolute;top:0;left:0;width:100%;height:80px;line-height:80px;font-size:1.3em;padding:0 20px;" class="bg-red" >
		Offre n°<?php echo $_GET['id_offre']?> - <?php echo $type_contrat?>
		<a style="float:right;display:inline-block;line-height:1em;font-size:0.9em;margin-top:20px;margin-right:40px;background:#333;border:1px solid #80001c;text-align:center;padding:5px 15px;border-radius:5px;color:#fff" class="btn" id="affiche-cv">Je souhaite répondre<br>à cette offre</a>
	</div>

	<div id="cv" style="position:absolute;top:80px;left:0;width:100%;Xheight:80px;line-height:1.4em;font-size:0.9em;padding:20px 20px;color:#fff;z-index:1;display:none;" class="bg-dark" >
		<?php
			$sql = dbquery("SELECT * FROM cv_auditeurs WHERE id_auditeur = '".$_SESSION['user']['id']."'");

			if(dbnumrows($sql) == 0){
				echo 'Pour répondre à cette offre, vous devez avoir <a style="color:#ccc !important" href="/espace_personnel/eleve/cv/">créé un CV depuis votre espace personnel</a> afin que nous puissions le transmettre à l\'emetteur de l\'offre.';
			}
			else{
				
				$sql2 = dbquery("SELECT * FROM offres_reponses WHERE id_offre ='".$_GET['id_offre']."' AND id_auditeur = '".$_SESSION['user']['id']."'");

				if(dbnumrows($sql2) > 0)
					$id_auditeur	= dbresult($sql2,0,"id_auditeur");
				else
					$id_auditeur = '';

				if($id_auditeur == $_SESSION['user']['id']){
					echo 'Vous avez déjà répondu à cette offre.';
				}
				else{
					$liste_cv ="";

					for($i=0;$i<dbnumrows($sql);$i++){
						$id_cv		= dbresult($sql,$i,"id_cv");
						$nom_cv		= dbresult($sql,$i,"nom_cv");
						$liste_cv  .= ' - <a class="selection-cv" id="'.$id_cv.'" href="reponse_offre.php?id_cv='.$id_cv.'">'.$nom_cv.'</a><br>';
					}
					echo '
						<div id="choix-cv">
							Pour répondre à cette offre, vous devez choisir quel CV transmettre à l\'emetteur de l\'offre : <br>
							<div style="display:inline-block">'.$liste_cv.'</div>	
							<a data-id-offre="'.$_GET['id_offre'].'" id="envoi-cv" style="display:none;vertical-align:80%;margin-left:40px;background:#fff;padding:5px 15px;border-radius:5px;color:#333;" class="btn">Envoyer ce CV</a>
						</div>				
					';
				}

			}
		
		?>
	</div>
	
	<?php require_once($_SERVER['DOCUMENT_ROOT'].'/espace_personnel/overlay/apercu/offre/content.php');?>

	<div style="position:relative;max-height:50%;height:50%;margin-top:80px;width:100%;overflow:auto;padding-bottom:10px;z-index:0;">
		<?php echo $content?>efsfesfssf
	</div>
	
	<script>
	
	function afficher_cv(){
	
			$("#affiche-cv").click(function(e){
				e.preventDefault();
				$("#cv").fadeToggle();
			});
	}
	
	function selectionner_cv(){
		$(".selection-cv").click(function(e){
			//alert("ee");
			e.preventDefault();
			$('.selection-cv').css("color","#888");
			$(this).css("color","#fff");

			var id_cv = $(this).attr('id');
			$("#envoi-cv").fadeIn().attr("data-id-cv",id_cv);
			
		});
	}

	function envoyer_cv(){
		$("#envoi-cv").click(function(e){
			e.preventDefault();

			var id_cv		= $(this).attr('data-id-cv');
			var id_offre	= $(this).attr('data-id-offre');

			$.ajax({
				cache:		false,
				type:		"GET",
				url:		"/espace_personnel/eleve/offres/envoi_cv.php",
				data:		{ id_cv : id_cv , id_offre : id_offre} ,
				success:	function(response){
								//$("#choix-cv").html(response);
								$("#choix-cv").html("Votre CV a été enregistré.");
								$("#cv").delay("1500").slideUp();
							}
			});
		});
	}

	$(window).load(afficher_cv(),selectionner_cv(),envoyer_cv());

	</script>
